""" Addon Information """
# ------------
# EventScripts Script-Addon:    BackRaw's TA-Healer (BTAH, btah.py, 17.3kb)
# Author:                       BackRaw - http://forums.eventscripts.com/profile.php?mode=viewprofile&u=13683
#                                         http://addons.eventscripts.com/addons/user/13683
# Version:                      1.0
# ------------

""" Imports """
# ------------
# EventScripts Core-Module        - ES-functionality
import es
# NativeTools or SPE              - Pre-Events
try:
    import nativetools as nt
    plugin = 'NT'
except ImportError:
    try:
        import spe
        plugin = 'SPE'
    except ImportError, e:
        raise e
# ------------

""" Pre-Event player_hurt """
# ------------
# This only fires if the attacker-team was equal to the user-team.
# If so, it will add 2 to the user's health and damage given,
# and will substract 2 from the attacker's health and the damage given.
# ------------
def preHurt(ev):
    if es.getInt('mp_friendlyfire'):
        userid, attacker = ev['userid'], ev['attacker']
        if es.getplayerteam(userid) == es.getplayerteam(attacker):
            dmg = int(ev['dmg_health'])
            health = es.getplayerprop(attacker, 'CBasePlayer.m_iHealth') - dmg - 2
            es.setplayerprop(userid, 'CBasePlayer.m_iHealth', int(ev['health']) + dmg + 2)
            es.setplayerprop(attacker, 'CBasePlayer.m_iHealth', health)
            if health <= 0:
                es.server.queuecmd('damage %s 32' % attacker)

""" EventScripts main-control functions """
# ------------
# On load, register the Pre-Event.
# ------------
def load():
    es.ServerVar('btah_ver', '1.0').makepublic()
    if plugin == 'NT':
        nt.preEventRegister('player_hurt', preHurt)
    elif plugin == 'SPE':
        spe.registerPreHook('player_hurt', preHurt)

# ------------
# On unload, un-register the Pre-Event.
# ------------
def unload():
    if plugin == 'NT':
        nt.preEventUnregister('player_hurt', preHurt)
    elif plugin == 'SPE':
        spe.unregisterPreHook('player_hurt', preHurt)
